<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>SuperiorEducation</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="declaration: package: fr.ici.buildingActivity.minister, class: SuperiorEducation">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li><a href="#nested-class-summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.buildingActivity.minister</a></div>
<h1 title="Class SuperiorEducation" class="title">Class SuperiorEducation</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIClass
<div class="inheritance">fr.ici.dataImporter.iciObjects.ICIObject
<div class="inheritance"><a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">fr.ici.buildingActivity.poi.POI</a>
<div class="inheritance"><a href="School.html" title="class in fr.ici.buildingActivity.minister">fr.ici.buildingActivity.minister.School</a>
<div class="inheritance">fr.ici.buildingActivity.minister.SuperiorEducation</div>
</div>
</div>
</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">SuperiorEducation</span>
<span class="extends-implements">extends <a href="School.html" title="class in fr.ici.buildingActivity.minister">School</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li>
<section class="nested-class-summary" id="nested-class-summary">
<h2>Nested Class Summary</h2>
<div class="inherited-list">
<h2 id="nested-classes-inherited-from-class-fr.ici.buildingActivity.poi.POI">Nested classes/interfaces inherited from class&nbsp;fr.ici.buildingActivity.poi.<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></h2>
<code><a href="../poi/POI.StrategyGenerationValue.html" title="enum class in fr.ici.buildingActivity.poi">POI.StrategyGenerationValue</a></code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.buildingActivity.poi.POI">Fields inherited from class&nbsp;fr.ici.buildingActivity.poi.<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></h3>
<code><a href="../poi/POI.html#activity">activity</a>, <a href="../poi/POI.html#address">address</a>, <a href="../poi/POI.html#area">area</a>, <a href="../poi/POI.html#attendance">attendance</a>, <a href="../poi/POI.html#attendanceIndice">attendanceIndice</a>, <a href="../poi/POI.html#capacity">capacity</a>, <a href="../poi/POI.html#codeINSEE">codeINSEE</a>, <a href="../poi/POI.html#codePost">codePost</a>, <a href="../poi/POI.html#complementAdress">complementAdress</a>, <a href="../poi/POI.html#hasLocal">hasLocal</a>, <a href="../poi/POI.html#idBuilding">idBuilding</a>, <a href="../poi/POI.html#isOpenToPublic">isOpenToPublic</a>, <a href="../poi/POI.html#localProbability">localProbability</a>, <a href="../poi/POI.html#nAddress">nAddress</a>, <a href="../poi/POI.html#name">name</a>, <a href="../poi/POI.html#nomenclature">nomenclature</a>, <a href="../poi/POI.html#nWorker">nWorker</a>, <a href="../poi/POI.html#openingHour">openingHour</a>, <a href="../poi/POI.html#openLockdownMarch20">openLockdownMarch20</a>, <a href="../poi/POI.html#openLockdownNov20">openLockdownNov20</a>, <a href="../poi/POI.html#p">p</a>, <a href="../poi/POI.html#reallyOpenLockdownMarch20">reallyOpenLockdownMarch20</a>, <a href="../poi/POI.html#strategyGenerationValue">strategyGenerationValue</a>, <a href="../poi/POI.html#typeCodeSource">typeCodeSource</a>, <a href="../poi/POI.html#typeNameIci">typeNameIci</a>, <a href="../poi/POI.html#typeNameSource">typeNameSource</a>, <a href="../poi/POI.html#typeRoad">typeRoad</a>, <a href="../poi/POI.html#valid">valid</a></code></div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIClass">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIClass</h3>
<code>DEBUG, rdGen</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,float,org.locationtech.jts.geom.Point,int)" class="member-name-link">SuperiorEducation</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;id,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nAddress,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;complementAdress,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeRoad,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;codeINSEE,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeCodeSource,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeNameSource,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nomenclature,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 int&nbsp;nWorker,
 float&nbsp;area,
 org.locationtech.jts.geom.Point&nbsp;p,
 int&nbsp;nbStudent)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/stream/Stream.html" title="class or interface in java.util.stream" class="external-link">Stream</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#cleanName(java.lang.String)" class="member-name-link">cleanName</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;ogName)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#enrichWorkingPlace(java.io.File,java.util.List,java.util.List,java.util.List,java.time.LocalDate,java.lang.String)" class="member-name-link">enrichWorkingPlace</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;studentInfo,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a>&gt;&nbsp;lPOILocal,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;&nbsp;lPOI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;date,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;inseeNumber)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#fillCategory(fr.ici.buildingActivity.poi.POI,java.util.HashMap,double)" class="member-name-link">fillCategory</a><wbr>(<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&nbsp;poi,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/HashMap.html" title="class or interface in java.util" class="external-link">HashMap</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;org.apache.commons.lang3.tuple.Pair&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>,<wbr><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Double.html" title="class or interface in java.lang" class="external-link">Double</a>&gt;&gt;&gt;&nbsp;lSameSchool,
 double&nbsp;room)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Find the category of the input superior education in order to ventilate the MESR stats inside</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#generateSuperiorEducation(java.util.List,java.util.List,java.util.List,java.io.File,java.time.LocalDate,org.locationtech.jts.geom.Geometry,java.lang.String)" class="member-name-link">generateSuperiorEducation</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a>&gt;&nbsp;lPOILocal,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;&nbsp;lPOISirene,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;csvStudentEffectif,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;date,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;inseeCode)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#generateSyntheticSuperiorEducation(int,int,int,int,org.locationtech.jts.geom.Polygon)" class="member-name-link">generateSyntheticSuperiorEducation</a><wbr>(int&nbsp;nbPlace,
 int&nbsp;nbStudent,
 int&nbsp;minStudent,
 int&nbsp;maxStudent,
 org.locationtech.jts.geom.Polygon&nbsp;zoneGeometry)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#makeAnagram(java.lang.String)" class="member-name-link">makeAnagram</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;input)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#matchUnivStatWithUnivPoints(java.util.List,java.util.List,java.io.File,java.util.List)" class="member-name-link">matchUnivStatWithUnivPoints</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;&nbsp;lSP,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a>&gt;&nbsp;lPLocal,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;csvStudentEffectif,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBuilding)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Enrich the superior education with student number information.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#prepareCSV(java.io.File,java.io.File,java.lang.String,java.time.LocalDate)" class="member-name-link">prepareCSV</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;inCSV,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;outCSV,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;inseeNumber,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;date)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.buildingActivity.poi.POI">Methods inherited from class&nbsp;fr.ici.buildingActivity.poi.<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></h3>
<code><a href="../poi/POI.html#exportListPOI(java.util.List,java.lang.String,boolean,java.io.File)">exportListPOI</a>, <a href="../poi/POI.html#exportListPOI(java.util.List,java.lang.String,java.io.File)">exportListPOI</a>, <a href="../poi/POI.html#generateAndImportPOIFromICIFolder(java.io.File,java.lang.String,java.util.List,java.time.LocalDate,boolean)">generateAndImportPOIFromICIFolder</a>, <a href="../poi/POI.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="../poi/POI.html#generateSimpleFeature(java.lang.String)">generateSimpleFeature</a>, <a href="../poi/POI.html#generateSyntheticPOI(int,org.locationtech.jts.geom.Polygon)">generateSyntheticPOI</a>, <a href="../poi/POI.html#getAttendance()">getAttendance</a>, <a href="../poi/POI.html#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a>, <a href="../poi/POI.html#getIdentification()">getIdentification</a>, <a href="../poi/POI.html#getLocalProbability()">getLocalProbability</a>, <a href="../poi/POI.html#getSFB()">getSFB</a>, <a href="../poi/POI.html#getSFB(java.lang.String)">getSFB</a>, <a href="../poi/POI.html#getSFCPOI(java.util.List,java.lang.String,boolean)">getSFCPOI</a>, <a href="../poi/POI.html#importPOI(java.io.File)">importPOI</a>, <a href="../poi/POI.html#importPOI(java.io.File,org.locationtech.jts.geom.Geometry)">importPOI</a>, <a href="../poi/POI.html#isActive()">isActive</a>, <a href="../poi/POI.html#isHasLocal()">isHasLocal</a>, <a href="../poi/POI.html#isValid()">isValid</a>, <a href="../poi/POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a>, <a href="../poi/POI.html#setArea(double)">setArea</a>, <a href="../poi/POI.html#setHasLocal(boolean)">setHasLocal</a>, <a href="../poi/POI.html#setLocalProbability(float)">setLocalProbability</a>, <a href="../poi/POI.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.ICIObject</h3>
<code>equals, getID, getType, hashCode, setID, setRdGen, setType</code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,float,org.locationtech.jts.geom.Point,int)">
<h3>SuperiorEducation</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">SuperiorEducation</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;id,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nAddress,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;complementAdress,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeRoad,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;codeINSEE,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeCodeSource,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;typeNameSource,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nomenclature,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 int&nbsp;nWorker,
 float&nbsp;area,
 org.locationtech.jts.geom.Point&nbsp;p,
 int&nbsp;nbStudent)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="enrichWorkingPlace(java.io.File,java.util.List,java.util.List,java.util.List,java.time.LocalDate,java.lang.String)">
<h3>enrichWorkingPlace</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;</span>&nbsp;<span class="element-name">enrichWorkingPlace</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;studentInfo,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a>&gt;&nbsp;lPOILocal,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;&nbsp;lPOI,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;date,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;inseeNumber)</span>
                                    throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateSyntheticSuperiorEducation(int,int,int,int,org.locationtech.jts.geom.Polygon)">
<h3>generateSyntheticSuperiorEducation</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a>&gt;</span>&nbsp;<span class="element-name">generateSyntheticSuperiorEducation</span><wbr><span class="parameters">(int&nbsp;nbPlace,
 int&nbsp;nbStudent,
 int&nbsp;minStudent,
 int&nbsp;maxStudent,
 org.locationtech.jts.geom.Polygon&nbsp;zoneGeometry)</span></div>
</section>
</li>
<li>
<section class="detail" id="makeAnagram(java.lang.String)">
<h3>makeAnagram</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">makeAnagram</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;input)</span></div>
</section>
</li>
<li>
<section class="detail" id="cleanName(java.lang.String)">
<h3>cleanName</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/stream/Stream.html" title="class or interface in java.util.stream" class="external-link">Stream</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;</span>&nbsp;<span class="element-name">cleanName</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;ogName)</span></div>
</section>
</li>
<li>
<section class="detail" id="matchUnivStatWithUnivPoints(java.util.List,java.util.List,java.io.File,java.util.List)">
<h3>matchUnivStatWithUnivPoints</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;</span>&nbsp;<span class="element-name">matchUnivStatWithUnivPoints</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;&nbsp;lSP,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a>&gt;&nbsp;lPLocal,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;csvStudentEffectif,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBuilding)</span>
                                             throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Enrich the superior education with student number information. Multiple manual matching because the data are not referencing the same nomenclature.
 A pro rata is made with the total floor area of the builing in which the school is located. We could have used the roomleft attribute but this one changes from when Housing is generated, and #Housing will need the #WorkingPlace generated with this function.
 <a href="https://data.enseignementsup-recherche.gouv.fr/explore/dataset/fr-esr-sise-effectifs-d-etudiants-inscrits-esr-public/information/">...</a>
 todo try with null local</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lPLocal</code> - list of input workplaces (must be from a local source)</dd>
<dd><code>csvStudentEffectif</code> - file generated by the #prepareCSV method.</dd>
<dd><code>lBuilding</code> - List of building for a more precise affectation.</dd>
<dt>Returns:</dt>
<dd>Enriched working places</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - reading csv file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="fillCategory(fr.ici.buildingActivity.poi.POI,java.util.HashMap,double)">
<h3>fillCategory</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">fillCategory</span><wbr><span class="parameters">(<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&nbsp;poi,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/HashMap.html" title="class or interface in java.util" class="external-link">HashMap</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;org.apache.commons.lang3.tuple.Pair&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>,<wbr><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Double.html" title="class or interface in java.lang" class="external-link">Double</a>&gt;&gt;&gt;&nbsp;lSameSchool,
 double&nbsp;room)</span>
                         throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Find the category of the input superior education in order to ventilate the MESR stats inside</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>poi</code> - working place (can be a merge between national and regional or nat)</dd>
<dd><code>lSameSchool</code> - collection to populate</dd>
<dd><code>room</code> - floor space per WorkingPlace in the building. This is an indication of the importance of the place</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="prepareCSV(java.io.File,java.io.File,java.lang.String,java.time.LocalDate)">
<h3>prepareCSV</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a></span>&nbsp;<span class="element-name">prepareCSV</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;inCSV,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;outCSV,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;inseeNumber,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;date)</span>
                       throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateSuperiorEducation(java.util.List,java.util.List,java.util.List,java.io.File,java.time.LocalDate,org.locationtech.jts.geom.Geometry,java.lang.String)">
<h3>generateSuperiorEducation</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;</span>&nbsp;<span class="element-name">generateSuperiorEducation</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a>&gt;&nbsp;lPOILocal,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a>&gt;&nbsp;lPOISirene,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lBuilding,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/File.html" title="class or interface in java.io" class="external-link">File</a>&nbsp;csvStudentEffectif,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;date,
 org.locationtech.jts.geom.Geometry&nbsp;mask,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;inseeCode)</span>
                                                     throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
